### Method

# WebKit2 Download get_estimated_progress

#### Declaration [src]

    gdouble
    webkit_download_get_estimated_progress (
      WebKitDownload* download
    )

#### Description [src]

Gets the value of the `WebKitDownload:estimated-progress` property. Gets the value of the `WebKitDownload:estimated-progress` property. You can monitor the estimated progress of the download operation by connecting to the notify::estimated-progress signal of `download`.

Gets property | `WebKit2.Download:estimated-progress`

#### Return value

Type: `gdouble`

An estimate of the of the percent complete for a download as a range from 0.0 to 1.0.